Skip to main content
POST
https://{tenantDomain}/api/v2
/
network-acls
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.NetworkAcls.Create(
        context.TODO(),
        &management.CreateNetworkAclRequestContent{
            Description: "description",
            Active: true,
            Priority: 1.1,
            Rule: &management.NetworkAclRule{
                Action: &management.NetworkAclAction{},
                Scope: management.NetworkAclRuleScopeEnumManagement,
            },
        },
    )
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

description
string
required
Maximum string length: 255
active
boolean
required

Indicates whether or not this access control list is actively being used

rule
object
required
priority
number
default:50

Indicates the order in which the ACL will be evaluated relative to other ACL rules.

Required range: 1 <= x <= 100

Response

Network ACL successfully created.